# fast_ldp_mst_clustering

### *Fast LDP-MST* is an efficient density-based clustering method for large-size datasets.

>**Teng Qiu, Yongjie Li, IEEE Transactions on Knowledge and Data Engineering, 2022, DOI: 10.1109/TKDE.2022.3150403.**

Cluster analysis is widely studied and used in diverse
fields. Despite that
many clustering methods have been proposed, it is rare for a clustering
method to perform well simultaneously on the following characteristics:  
* effectiveness (in terms of accuracy);
* efficiency (in terms of speed);
* robustness (in terms of noise and parameter sensitivity);
* user-friendliness (in terms of the number of user-specified parameters,
interpretability, and reproducibility of the results, etc.). 

This work contributes to the field of clustering by providing a new solution (i.e., Fast LDP-MST) which largely improves the efficiency of LDP-MST, without sacrificing the merits of LDP-MST in effectiveness, robustness, and user-friendliness. 
Fast LDP-MST achieves a good balance among effectiveness, efficiency, robustness, and user-friendliness, and thus it could
have a certain degree of practical value in this big data era.

#### The implementation of the MATLAB version can be accessed through the link: https://github.com/Teng-Qiu-Clustering/Fast-LDP-MST-Clustering-IEEE-TKDE-2022